﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.ComponentModel;
using System.Windows.Media.Imaging;

namespace TreeViewWithContextMenuExample
{
    public class ContextMenuItem
    {

        public Image Icon
        {
            get
            {
                if (this.ImagePath != null)
                {
                    Image image = new Image();
                    image.Source = new BitmapImage(new Uri(this.ImagePath, UriKind.Relative));
                    return image;
                }
                else
                    return null;
            }
        }

        public string ImagePath
        {
            get;
            set;
        }

        public string Header
        {
            get;
            set;
        }

        public bool IsSeparator
        {
            get;
            set;
        }

        public ContextMenuItem()
        {
            this.Header = null;
            this.ImagePath = null;
            this.IsSeparator = false;
        }
    }
}
